Subject: Log Cabin/gay Republicans
From: [email-masked]
Date: Sun, 06 Feb 94 15:45:10 EST

Log Cabin Republicans is the information and advocacy arm of the Log Cabin
Federation, a national grass-roots gay and lesbian Republican organization
with 32 clubs in 21 states (and growing fast).  Anyone interested in joining
our organization, or in search of information, please E-Mail the national Log
Cabin office at "Kevin1086" via AOL. (No Internet presence yet.)